<?php

namespace FiloBlu\Rma\Plugin\Rma\Adminhtml;

class Grid
{
    public function beforeSetForm($subject, $form)
    {
        if ($form->getData('html_id_prefix') != 'rma_properties_') {
            return null;
        }

        $fieldset = $form->getElement('rma_item_fields');

        if (empty($fieldset)) {
            return null;
        }


        $fieldset->addField(
            'changesize',
            'select',
            [
                'label' => __('Change Size'),
                'options' => ['' => ''],
                'name' => 'changesize',
                'required' => false
            ]
        );

        return null;
    }
}
